#!/bin/bash

export CXX=g++
export CC=gcc

# From conda-forge repo, https://github.com/conda-forge/gtest-feedstock
GTEST_DIR=$SRC_DIR/googletest

# Copy headers
cp -r $GTEST_DIR/include/gtest $PREFIX/include/

# Build and copy static libraries
mkdir build_static
cd build_static
cmake $GTEST_DIR
make
cp libgtest.a $PREFIX/lib/
cp libgtest_main.a $PREFIX/lib/
cd $GTEST_DIR

# Build and copy dynamic libraries
UNAME="$(uname)"
if [ "${UNAME}" == "Darwin" ]; then
  # for OS X
  LIBEXT="dylib"
else
  # for Linux
  LIBEXT="so"
fi

mkdir build_dynamic
cd build_dynamic
cmake $GTEST_DIR -Dgtest_build_tests=ON
make
cp libgtest_dll.$LIBEXT $PREFIX/lib/
cd $GTEST_DIR
